com.taosdata.jdbc.rs

## Class ConnectionParam.Builder

- java.lang.Object
- - com.taosdata.jdbc.rs.ConnectionParam.Builder

Enclosing class:
  ConnectionParam

    public static class ConnectionParam.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder(String host, String port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectionParam` `build()`
`ConnectionParam.Builder` `setCloudToken(String cloudToken)`
`ConnectionParam.Builder` `setConnectionTimeout(int connectTimeout)`
`ConnectionParam.Builder` `setConnectMode(int connectMode)`
`ConnectionParam.Builder` `setDatabase(String database)`
`ConnectionParam.Builder` `setMaxRequest(int maxRequest)`
`ConnectionParam.Builder` `setRequestTimeout(int requestTimeout)`
`ConnectionParam.Builder` `setTimeZone(String timeZone)`
`ConnectionParam.Builder` `setUserAndPassword(String user, String password)`
`ConnectionParam.Builder` `setUseSsl(boolean useSsl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(String host,
                   String port)

### Method Detail

#### setDatabase

    public ConnectionParam.Builder setDatabase(String database)

#### setCloudToken

    public ConnectionParam.Builder setCloudToken(String cloudToken)

#### setUserAndPassword

    public ConnectionParam.Builder setUserAndPassword(String user,
                                                      String password)

#### setTimeZone

    public ConnectionParam.Builder setTimeZone(String timeZone)

#### setUseSsl

    public ConnectionParam.Builder setUseSsl(boolean useSsl)

#### setMaxRequest

    public ConnectionParam.Builder setMaxRequest(int maxRequest)

#### setConnectionTimeout

    public ConnectionParam.Builder setConnectionTimeout(int connectTimeout)

#### setRequestTimeout

    public ConnectionParam.Builder setRequestTimeout(int requestTimeout)

#### setConnectMode

    public ConnectionParam.Builder setConnectMode(int connectMode)

#### build

    public ConnectionParam build()